Package org.kapott.hbci.sepa.jaxb.pain_002_001_13

# Enum Class Frequency6Code

java.lang.Object
java.lang.Enum<Frequency6Code>
org.kapott.hbci.sepa.jaxb.pain_002_001_13.Frequency6Code

All Implemented Interfaces:
  `Serializable`, `Comparable<Frequency6Code>`, `Constable`

public enum Frequency6Code extends Enum<Frequency6Code>

Java class for Frequency6Code.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="Frequency6Code">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="YEAR"/>
         <enumeration value="MNTH"/>
         <enumeration value="QURT"/>
         <enumeration value="MIAN"/>
         <enumeration value="WEEK"/>
         <enumeration value="DAIL"/>
         <enumeration value="ADHO"/>
         <enumeration value="INDA"/>
         <enumeration value="FRTN"/>
       </restriction>
     </simpleType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADHO`
`DAIL`
`FRTN`
`INDA`
`MIAN`
`MNTH`
`QURT`
`WEEK`
`YEAR`

## Method Summary

Modifier and Type
Method
Description
`static Frequency6Code`
`fromValue(String v)`
`String`
`value()`
`static Frequency6Code`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Frequency6Code[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### YEAR

public static final Frequency6Code YEAR

### MNTH

public static final Frequency6Code MNTH

### QURT

public static final Frequency6Code QURT

### MIAN

public static final Frequency6Code MIAN

### WEEK

public static final Frequency6Code WEEK

### DAIL

public static final Frequency6Code DAIL

### ADHO

public static final Frequency6Code ADHO

### INDA

public static final Frequency6Code INDA

### FRTN

public static final Frequency6Code FRTN

## Method Details

### values

public static Frequency6Code[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Frequency6Code valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()

### fromValue

public static Frequency6Code fromValue(String v)